Issue #3 new

verify server certificate

Janto Dreijer
repo owner created an issue

No description provided.

Comments (2)

  1. Janto Dreijer reporter

    Python 2.6 provides a new SSL library. Alternatively solutions are here: http://stackoverflow.com/questions/1087227/validate-ssl-certificates-with-python

    Using this would break backwards compatibility or require extra packages. This might be ok for GUI version, but not for cli.py. cli.py must work on older systems without having to install additional packages.

    Maybe we can validate with CLI only if 2.6 or later is installed. This might be acceptable if we warned the user when not validating. (Which we should have been doing already!)

  2. Log in to comment